Delen via


Lijst per abonnement op toepassingsresource

Hiermee haalt u alle toepassingsresources in een bepaald abonnement op.

Hiermee haalt u de informatie op over alle toepassingsresources in een bepaald abonnement. De informatie bevat informatie over de services van de toepassing en andere runtime-eigenschappen.

Aanvraag

Methode Aanvraag-URI
GET /subscriptions/{subscriptionId}/providers/Microsoft.ServiceFabricMesh/applications?api-version=2018-07-01-preview

Parameters

Naam Type Vereist Locatie
subscriptionId tekenreeks Ja Pad
api-version tekenreeks Ja Query’s uitvoeren

subscriptionId

Type: tekenreeks
Vereist: Ja

De abonnements-id van de klant


api-version

Type: tekenreeks
Vereist: Ja
Standaardinstelling: 2018-07-01-preview

De versie van de API. Deze parameter is vereist en de waarde moet zijn 2018-07-01-preview.

Antwoorden

HTTP-statuscode Beschrijving Antwoordschema
200 (OK) OK
ApplicationResourceDescriptionList
Alle andere statuscodes Fout
ErrorModel

Voorbeelden

Toepassingslijst

Aanvraag

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ServiceFabricMesh/applications?api-version=2018-07-01-preview

200-antwoord

Hoofdtekst
{
  "value": [
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "eastus",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/abhisramvol/providers/Microsoft.ServiceFabricMesh/applications/myappl",
      "name": "myappl",
      "tags": {},
      "properties": {
        "provisioningState": "Succeeded",
        "healthState": "Ok",
        "serviceNames": [
          "myservice"
        ],
        "status": "Ready"
      }
    },
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "eastus",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/abhisramvol/providers/Microsoft.ServiceFabricMesh/applications/myappw",
      "name": "myappw",
      "tags": {},
      "properties": {
        "provisioningState": "Succeeded",
        "healthState": "Ok",
        "serviceNames": [
          "myservice"
        ],
        "status": "Ready"
      }
    },
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "EastUS",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/mfussellapp2/providers/Microsoft.ServiceFabricMesh/applications/SbzVoting",
      "name": "SbzVoting",
      "tags": {},
      "properties": {
        "provisioningState": "Succeeded",
        "description": "Voting SeaBreeze!",
        "healthState": "Ok",
        "serviceNames": [
          "VotingWeb",
          "VotingData"
        ],
        "status": "Ready"
      }
    },
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "EastUS",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/mfussellapp3/providers/Microsoft.ServiceFabricMesh/applications/SbzVoting",
      "name": "SbzVoting",
      "tags": {},
      "properties": {
        "provisioningState": "Succeeded",
        "description": "Voting SeaBreeze!",
        "healthState": "Ok",
        "serviceNames": [
          "VotingWeb",
          "VotingData"
        ],
        "status": "Ready"
      }
    },
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "eastus",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/sbz_demo/providers/Microsoft.ServiceFabricMesh/applications/helloWorldApp",
      "name": "helloWorldApp",
      "tags": {},
      "properties": {
        "provisioningState": "Succeeded",
        "description": "SeaBreeze HelloWorld Application!",
        "healthState": "Ok",
        "serviceNames": [
          "helloWorldService"
        ],
        "status": "Ready"
      }
    },
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "eastus",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/sbz_demo/providers/Microsoft.ServiceFabricMesh/applications/helloWorldAppWindows",
      "name": "helloWorldAppWindows",
      "tags": {},
      "properties": {
        "provisioningState": "Succeeded",
        "description": "SeaBreeze HelloWorld Application!",
        "healthState": "Ok",
        "serviceNames": [
          "helloWorldService"
        ],
        "status": "Ready"
      }
    },
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "eastus",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/sridhar1ResourceGroup/providers/Microsoft.ServiceFabricMesh/applications/privateRegistryExampleApp",
      "name": "privateRegistryExampleApp",
      "tags": {},
      "properties": {
        "provisioningState": "Updating",
        "description": "SeaBreeze example application with container deployed from private image registry.",
        "healthState": "Ok",
        "serviceNames": [
          "helloWorldService"
        ],
        "status": "Invalid"
      }
    },
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "eastus",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/sridhar4ResourceGroup/providers/Microsoft.ServiceFabricMesh/applications/SbzVoting",
      "name": "SbzVoting",
      "tags": {},
      "properties": {
        "provisioningState": "Succeeded",
        "description": "Voting SeaBreeze!",
        "healthState": "Ok",
        "serviceNames": [
          "VotingWeb",
          "VotingData"
        ],
        "status": "Ready"
      }
    },
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "eastus",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/sridharResourceGroup/providers/Microsoft.ServiceFabricMesh/applications/privateRegistryExampleApp",
      "name": "privateRegistryExampleApp",
      "tags": {},
      "properties": {
        "provisioningState": "Updating",
        "description": "SeaBreeze example application with container deployed from private image registry.",
        "healthState": "Ok",
        "serviceNames": [
          "helloWorldService"
        ],
        "status": "Invalid"
      }
    },
    {
      "type": "Microsoft.ServiceFabricMesh/applications",
      "location": "eastus",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/sridharRG/providers/Microsoft.ServiceFabricMesh/applications/privateRegistryExampleApp",
      "name": "privateRegistryExampleApp",
      "tags": {},
      "properties": {
        "provisioningState": "Updating",
        "description": "SeaBreeze example application with container deployed from private image registry.",
        "healthState": "Ok",
        "serviceNames": [
          "helloWorldService"
        ],
        "status": "Invalid"
      }
    }
  ]
}